
(* This file was auto-generated based on "error_messages.txt". *)

(* Please note that the function [message] can raise [Not_found]. *)

let message =
  fun s ->
    match s with
    | 409 | 353 | 354 | 356 ->
        "Mixfix declaration expected (Teyjus compatibility, ignored by Elpi).\nExamples:\ninfixl and 30.\ninfixr ++ 45.\nprefix - 12.\n"
    | 269 | 272 | 287 ->
        "Useonly directive expected (Teyjus compatibility, ignored by Elpi).\nExamples:\nuseonly foo.\nuseonly foo, bar.\n"
    | 288 | 289 | 390 ->
        "Closed directive expected (Teyjus compatibility, ignored by Elpi).\nExamples:\nclosed foo.\nclosed foo, bar.\n"
    | 338 ->
        "Local kind declaration expected (Teyjus compatibility, ignored by Elpi).\nExamples:\nlocalkind foo.\nlocalkind foo, bar.\n"
    | 301 | 324 | 407 ->
        "Module/Signature header expected (Teyjus compatibility, ignored by Elpi).\nExamples:\nmodule foo.\nsig bar.\n"
    | 273 | 274 | 276 | 277 | 278 | 280 | 281 | 285 | 359 | 360 | 361 ->
        "Definition export directive expected (Teyjus compatibility, ignored by Elpi).\nExamples:\nexportdef foo, bar.\nexportdef foo  (term -> term).\n"
    | 442 | 443 | 449 | 444 | 445 ->
        "Predicate declaration expected. Examples:\npred append i:list A, i:list A, o:list A.\npred append i:list A i:list A o:list A.\npred map i:list A, i:(A -> B -> prop), o:list B.\n"
    | 458 ->
        "Unexpected ')'.\n"
    | 417 ->
        "External declaration expected. Examples:\nexternal type foo term -> prop.\nexternal pred foo i:term.\n"
    | 363 | 366 ->
        "Constraint Handling Rule header expected. Examples:\nconstraint foo {\nconstraint foo bar {\n"
    | 346 | 347 | 348 | 349 ->
        "Kind declaration expected. Examples:\nkind term  type.\nkind list  type -> type.\n"
    | 340 | 341 | 342 ->
        "Local symbol declaration expected. Examples:\nlocal foo.\nlocal foo, bar.\nlocal foo (term -> term).\n"
    | 321 | 322 ->
        "Namespace header expected. Examples:\nnamespace foo {\n"
    | 303 | 305 | 307 | 308 | 309 | 310 | 311 | 313 | 314 | 315 ->
        "Shortening directive expected. Examples:\nshorten foo.{ bar }.\nshorten foo.{ bar , baz }.\nshorten foo.{ bar , baz. { qux , dim } }.\n"
    | 291 | 292 | 296 | 299 | 300 | 293 ->
        "Type abbreviation expected. Examples:\ntypeabbrev context (list term).\ntypeabbrev (two A) (pair A A).\n"
    | 20 | 183 | 174 ->
        "List expected. Examples:\n[ this , that | More ].\n[ Head | Tail ].\n"
    | 36 ->
        "Closing '[' with ')'.\n"
    | 525 | 530 | 270 | 529 ->
        "Malformed accumulate. Examples:\naccumulate foo.\naccumulate foo, bar.\naccumulate \"foo/bar\".\n"
    | 422 | 423 | 421 | 415 | 424 | 425 | 427 | 431 | 432 | 436 | 437 | 439 ->
        "Malformed CHR rule declaration. Examples:\nrule (match this).\nrule (match this) \\ (remove that).\nrule (match this) \\ (remove that) | (only when).\nrule (match this) \\ (remove that) | (only when) <=> (add this).\n"
    | 418 | 419 | 420 ->
        "Malformed type declaration. Examples:\ntype app tm -> tm -> tm.\ntype lam (tm -> tm) -> tm.\ntype (++) list A -> list A -> list A.\n"
    | 387 | 388 ->
        "Malformed 'external' attribute. Example:\n:external pred\n"
    | 382 | 384 ->
        "Malformed grafting attribute. Example:\n:before \"some name\"\n:after \"some other name\"\n"
    | 379 ->
        "Malformed 'if' attribute. Example:\n:if \"VARIABLE\"\n"
    | 371 | 372 | 377 ->
        "Malformed 'index' attribute. Example:\n:index(1 _ 1)\n"
    | 369 ->
        "Malformed 'name' attribute. Example:\n:name \"name of the clause\"\n"
    | 368 ->
        "Attribute expected. Examples:\n:name \"some name\"\n:index (_ 1 1)\n"
    | 334 | 335 | 336 | 337 ->
        "Malformed macro declaration. Example:\nmacro @foo X Y :- p X => q Y.\n"
    | 326 | 327 | 328 | 332 | 401 ->
        "Malformed mode declaration. Example:\nmode (foo i i o).\n"
    | 264 ->
        "Prefix symbol expected.\n"
    | 261 ->
        "Postifx symbol expected.\n"
    | 229 ->
        "Infix symbol expected.\n"
    | 223 ->
        "Right parenthesis ')' expected.\n"
    | 0 | 17 | 18 ->
        "Term expected.\n"
    | 215 ->
        "Malformed as binding. Examples:\n(f X as Y)\n([_,_|_] as Y)\n"
    | 7 | 195 ->
        "Mixfix symbol or term expected.\n"
    | 50 | 461 | 463 | 483 | 485 | 465 | 487 | 490 | 492 | 494 | 496 | 498 | 500 | 502 | 504 | 506 | 467 | 469 | 471 | 481 | 510 | 512 | 514 | 516 | 520 | 522 | 452 | 453 | 123 | 145 | 127 | 157 | 125 | 131 | 141 | 147 | 159 | 129 | 133 | 161 | 165 | 137 | 163 | 167 | 135 | 118 | 139 | 155 | 171 | 121 | 181 | 191 | 39 | 221 | 225 | 114 | 116 | 72 | 88 | 96 | 100 | 68 | 80 | 92 | 62 | 66 | 94 | 98 | 70 | 32 | 35 | 56 | 78 | 60 | 42 | 48 | 90 | 58 | 64 | 54 | 74 | 104 | 106 | 110 | 112 | 173 | 177 | 180 | 184 | 456 | 218 | 454 | 76 | 82 | 84 | 86 | 102 | 143 | 149 | 151 | 153 | 169 | 175 | 473 | 475 | 477 | 479 | 508 | 108 | 518 ->
        "Term expected, got keyword.\n"
    | 460 ->
        "Unexpected ')'.\n"
    | 267 | 411 ->
        "Unexpected start of program clause or declaration.\n"
    | 77 | 65 | 97 | 93 | 69 | 99 | 67 | 63 | 59 | 89 | 57 | 87 | 480 | 489 | 482 | 144 | 484 | 464 | 486 | 491 | 493 | 495 | 497 | 499 | 501 | 503 | 505 | 134 | 166 | 136 | 164 | 160 | 132 | 128 | 158 | 130 | 124 | 156 | 126 | 61 | 91 | 513 | 466 | 468 | 470 | 509 | 511 | 515 | 519 | 521 | 462 | 162 | 146 | 140 | 55 | 73 | 79 | 95 | 71 | 103 | 105 | 109 | 111 | 113 | 122 | 138 | 154 | 170 | 172 | 176 | 179 | 220 | 37 | 186 | 117 | 75 | 81 | 83 | 85 | 101 | 142 | 148 | 150 | 152 | 168 | 472 | 474 | 476 | 478 | 507 | 107 | 517 ->
        "This infix operator expects a right hand side.\n"
    | 38 | 455 | 27 ->
        "This prefix operator expects an argument.\n"
    | _ ->
        raise Not_found
